Get Tasks
curl --request GET \
--url https://api.optexity.com/api/v1/get_tasks \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.optexity.com/api/v1/get_tasks"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.optexity.com/api/v1/get_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"task_id": "<string>",
"recording_id": "<string>",
"user_email": "<string>",
"endpoint_name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"is_cloud": true
}
],
"total": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}HTTPS API
Get Tasks
GET
/
api
/
v1
/
get_tasks
Get Tasks
Headers
Query Parameters
Workspace to list tasks from. Defaults to the caller's default workspace.
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Field to sort by
Available options:
created_at, completed_at, status Sort order
Available options:
asc, desc Filter by one or more statuses
Filter by one or more recording/workflow IDs
Search by task ID (partial match)
Filter tasks created on or after this date (ISO format)
Filter tasks created on or before this date (ISO format)
Filter by one or more type values (true for cloud, false for local)
Filter tasks by one or more user ids. Use 'all' to include all workspace members. Omit to default to current user
Was this page helpful?